org.apache.ignite.internal

## Class GridJobSiblingsRequest

- java.lang.Object
- - org.apache.ignite.internal.GridJobSiblingsRequest

All Implemented Interfaces:
  Serializable, Message

    public class GridJobSiblingsRequest
    extends Object
    implements Message

Job siblings request.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridJobSiblingsRequest()` Empty constructor required by `Externalizable`.
`GridJobSiblingsRequest(IgniteUuid sesId, Object topic, byte[] topicBytes)`

### Method Summary

Methods
`byte` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`IgniteUuid` `sessionId()`
`Object` `topic()`
`byte[]` `topicBytes()`
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridJobSiblingsRequest

    public GridJobSiblingsRequest()

Empty constructor required by `Externalizable`.

#### GridJobSiblingsRequest

    public GridJobSiblingsRequest(IgniteUuid sesId,
                          Object topic,
                          byte[] topicBytes)

Parameters:
  `sesId` - Session ID.
  `topic` - Topic.
  `topicBytes` - Serialized topic.

### Method Detail

#### sessionId

    public IgniteUuid sessionId()

Returns:
  Session ID.

#### topic

    public Object topic()

Returns:
  Topic.

#### topicBytes

    public byte[] topicBytes()

Returns:
  Serialized topic.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015